# ReZEN Python Client

[![PyPI version](https://badge.fury.io/py/rezen.svg)](https://badge.fury.io/py/rezen)
[![Python support](https://img.shields.io/pypi/pyversions/rezen.svg)](https://pypi.org/project/rezen/)
[![License](https://img.shields.io/github/license/theperrygroup/rezen.svg)](https://github.com/theperrygroup/rezen/blob/main/LICENSE)
[![Coverage](https://img.shields.io/codecov/c/github/theperrygroup/rezen.svg)](https://codecov.io/gh/theperrygroup/rezen)

{!_includes/description.md!}

## 🚀 Quick Start

{!_includes/installation.md!}

{!_includes/quick-start.md!}

## ✨ Key Features

{!_includes/features.md!}

## 📊 API Coverage

{!_includes/api-coverage.md!}

## 📖 Documentation

For comprehensive documentation, examples, and API reference:

**[📚 Full Documentation →](https://theperrygroup.github.io/rezen/)**

### Quick Links

- **[🚀 Quick Start Guide](docs/quickstart.md)** - Get up and running in 5 minutes
- **[📚 API Reference](docs/api-reference.md)** - Complete API documentation
- **[💡 Examples](docs/examples.md)** - Real-world usage patterns
- **[🔧 Troubleshooting](docs/troubleshooting.md)** - Common issues and solutions
- **[🤝 Contributing](docs/contributing.md)** - Help improve the client

## 🛠️ Development

```bash
# Clone and setup
git clone <repository-url>
cd rezen
python -m venv venv
source venv/bin/activate  # or `venv\Scripts\activate` on Windows
pip install -r requirements-dev.txt

# Run tests
pytest

# Run tests with coverage
pytest --cov=rezen --cov-report=html

# Format code
black rezen tests
isort rezen tests

# Build docs
mkdocs serve
```

## 🆘 Support

- **📖 Documentation**: [Full Documentation](https://theperrygroup.github.io/rezen/)
- **💬 Issues**: [GitHub Issues](../../issues)
- **📧 Email**: [support@rezen.com](mailto:support@rezen.com)

## 📄 License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

Copyright (c) 2025 The Perry Group
